#2020 closed defect (fixed)

Provide support for the PPC 440

Reported by: Ric Claus Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: arch/powerpc Version: 4.10
Severity: normal Keywords:
Cc: joel.sherrill@…, thomas.doerfler@…, sebastian.huber@…, claus@… Blocked By:
Blocking:

Description

The attached patches provide support for the PPC 440.

Attachments (4)

0001-Updates-for-ppc440.patch (29.4 KB) - added by Ric Claus on Feb 17, 2012 at 9:58:27 PM.
PPC 440 support modifications
ppc440-head-v1.diff (20.8 KB) - added by Joel Sherrill on Feb 21, 2012 at 2:31:10 AM.
PPC 440 support Modifications (updated to Head)
joel.txt (173.7 KB) - added by Ric Claus on Feb 23, 2012 at 12:55:42 AM.
Distilled build output showing warning and errors
0012-Mods-to-clock.c-for-virtex4-5-BSPs.patch (4.1 KB) - added by Ric Claus on Mar 2, 2012 at 12:52:37 AM.
PPC 403 clock.c changes for virtex4 & 5 BSPs

Download all attachments as: .zip

Change History (14)

Changed on Feb 17, 2012 at 9:58:27 PM by Ric Claus

PPC 440 support modifications

comment:1 Changed on Feb 18, 2012 at 5:22:56 PM by Ric Claus

Cc: Ric Claus added

comment:2 Changed on Feb 18, 2012 at 9:13:57 PM by Joel Sherrill

Cc: Sebastian Huber added

comment:3 Changed on Feb 18, 2012 at 9:14:10 PM by Joel Sherrill

Cc: thomas.doerfler added

comment:4 Changed on Feb 20, 2012 at 7:04:04 AM by Sebastian Huber

Owner: changed from Joel Sherrill to Sebastian Huber

comment:5 Changed on Feb 20, 2012 at 7:12:14 AM by Sebastian Huber

blocked: 2022

comment:6 Changed on Feb 20, 2012 at 7:12:36 AM by Sebastian Huber

blocked: 2023

Changed on Feb 21, 2012 at 2:31:10 AM by Joel Sherrill

Attachment: ppc440-head-v1.diff added

PPC 440 support Modifications (updated to Head)

comment:7 Changed on Feb 21, 2012 at 3:45:23 PM by Joel Sherrill

Cc: Joel Sherrill added
Component: cpukitlibcpu
Owner: changed from Sebastian Huber to Joel Sherrill

Changed on Feb 23, 2012 at 12:55:42 AM by Ric Claus

Attachment: joel.txt added

Distilled build output showing warning and errors

Changed on Mar 2, 2012 at 12:52:37 AM by Ric Claus

PPC 403 clock.c changes for virtex4 & 5 BSPs

comment:8 Changed on Mar 2, 2012 at 12:52:37 AM by Ric Claus

attachments.isobsolete: 01

comment:9 Changed on Mar 30, 2012 at 2:16:11 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Merged onto upstream master

comment:10 Changed on Oct 10, 2017 at 6:32:53 AM by Sebastian Huber

Component: libcpuarch/powerpc
Note: See TracTickets for help on using tickets.